package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description:
 * @Param:
 * @return:
 * @Author: dhshu
 */
public class CrmAnalyseResult implements Serializable {

    @ApiModelProperty(value = "id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long id;

    @ApiModelProperty(value = "name")
    String name;

    @ApiModelProperty(value = "count")
    Long count;

    @ApiModelProperty(value = "百分比")
    String rate;

    @ApiModelProperty(value = "增减")
    Long compare;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public Long getCompare() {
        return compare;
    }

    public void setCompare(Long compare) {
        this.compare = compare;
    }
}
